Skip to content
Coritan Docs

Client API: Mail: Aliases

The 3 Client API operations for aliases.

View as Markdown

Part of Mail.

GET /api/v1/client/mail/{service_id}/aliases

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/client/mail/{service_id}/aliases

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
service_id path integer yes

application/json (required)

Field Type Required
domain_id integer yes
local_part string yes
targets array of string yes
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/client/mail/{service_id}/aliases/{account_id}

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
account_id path integer yes
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.